Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Class GlyphTable.RuleLookup

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphTable.RuleLookup

Enclosing class:
  GlyphTable

    public static class GlyphTable.RuleLookup

extends java.lang.Object

The `RuleLookup` class implements a rule lookup record, comprising a glyph sequence index and a lookup table index (in an applicable lookup list).

Constructor Summary
`GlyphTable.RuleLookup(int sequenceIndex, int lookupIndex)` Instantiate a RuleLookup.

Method Summary
`GlyphTable.LookupTable` | `getLookup()`
`int` | `getLookupIndex()`
`int` | `getSequenceIndex()`
`void` | `resolveLookupReferences(java.util.Map<java.lang.String,GlyphTable.LookupTable> lookupTables)` Resolve references to lookup tables.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphTable.RuleLookup

    public GlyphTable.RuleLookup(int sequenceIndex,
                                 int lookupIndex)

  Instantiate a RuleLookup.

  Parameters:
    `sequenceIndex` - the index into the input sequence
    `lookupIndex` - the lookup table index

Method Detail

### getSequenceIndex

    public int getSequenceIndex()

  Returns:
    the sequence index

### getLookupIndex

    public int getLookupIndex()

  Returns:
    the lookup index

### getLookup

    public GlyphTable.LookupTable getLookup()

  Returns:
    the lookup table

### resolveLookupReferences

    public void resolveLookupReferences(java.util.Map<java.lang.String,GlyphTable.LookupTable> lookupTables)

  Resolve references to lookup tables.

  Parameters:
    `lookupTables` - map from lookup table identifers, e.g. "lu4", to lookup tables

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.